Open CASCADE Technology: TColgp_Array2OfDir2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColgp_Array2OfDir2d Class Reference

`#include <TColgp_Array2OfDir2d.hxx>`

## Public Member Functions
| TColgp_Array2OfDir2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| TColgp_Array2OfDir2d (const gp_Dir2d &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
void | Init (const gp_Dir2d &V)
void | Destroy ()
| ~TColgp_Array2OfDir2d ()
const TColgp_Array2OfDir2d & | Assign (const TColgp_Array2OfDir2d &Other)
const TColgp_Array2OfDir2d & | operator= (const TColgp_Array2OfDir2d &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Dir2d &Value)
const gp_Dir2d & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const gp_Dir2d & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
gp_Dir2d & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
gp_Dir2d & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Constructor & Destructor Documentation

TColgp_Array2OfDir2d::TColgp_Array2OfDir2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

TColgp_Array2OfDir2d::TColgp_Array2OfDir2d | ( | const gp_Dir2d & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

TColgp_Array2OfDir2d::~TColgp_Array2OfDir2d | ( |  | ) |
| inline

## Member Function Documentation

const TColgp_Array2OfDir2d& TColgp_Array2OfDir2d::Assign | ( | const TColgp_Array2OfDir2d & | Other | ) |

gp_Dir2d& TColgp_Array2OfDir2d::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |

Standard_Integer TColgp_Array2OfDir2d::ColLength | ( |  | ) | const

void TColgp_Array2OfDir2d::Destroy | ( |  | ) |

void TColgp_Array2OfDir2d::Init | ( | const gp_Dir2d & | V | ) |

Standard_Integer TColgp_Array2OfDir2d::LowerCol | ( |  | ) | const

Standard_Integer TColgp_Array2OfDir2d::LowerRow | ( |  | ) | const

const gp_Dir2d& TColgp_Array2OfDir2d::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const
| inline

gp_Dir2d& TColgp_Array2OfDir2d::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |
| inline

const TColgp_Array2OfDir2d& TColgp_Array2OfDir2d::operator= | ( | const TColgp_Array2OfDir2d & | Other | ) |
| inline

Standard_Integer TColgp_Array2OfDir2d::RowLength | ( |  | ) | const

void TColgp_Array2OfDir2d::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Dir2d & | Value
| ) |  |

Standard_Integer TColgp_Array2OfDir2d::UpperCol | ( |  | ) | const

Standard_Integer TColgp_Array2OfDir2d::UpperRow | ( |  | ) | const

const gp_Dir2d& TColgp_Array2OfDir2d::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- TColgp_Array2OfDir2d.hxx